
public class Driver {

	public static final int NUMBER_OF_PERSONS = 17_000;
	
	public static void main(String[] args) {
		for ( HashTable.ProbeType probeType : HashTable.ProbeType.values()) {
			System.out.println("\n\n\nProbType = " + probeType);
			
			HashTable<Person<Integer>, Integer> ht = new HashTable<Person<Integer>, Integer>();
			
			ht.setProbeType(probeType);
			
			Integer[] keys = new Integer[NUMBER_OF_PERSONS];
		
			for ( int i = 0 ; i < NUMBER_OF_PERSONS ; i++ ) {
				keys[i] = (int) (Math.random()*900_000_000);
				Person<Integer> p = new Person<Integer>(keys[i]);
				Person<Integer> oldPerson = ht.insert(p);
//				System.out.println("HashTable.size() = " + ht.size() +
//								" Total Probes = " + ht.getNumProbes() +
//								((oldPerson == null) ? " null " : " replacement "));
			}
			
			ht.setNumProbes(0);
			
			for ( int i = 0 ; i < NUMBER_OF_PERSONS ; i++ ) {
				Person<Integer> p = ht.get(keys[i]);
				if (p == null) {
					throw new NullPointerException("Did not find key = " + keys[i] + " in the HashTable"); 
				}
			}
			
			System.out.println("Total Number of probes for all the gets = " + ht.getNumProbes());		
		}
		
		
	}

}
